#
# (*) TTF fonts are taken from http://www.larabiefonts.com, thus we can redistribute
#
%define	name	foobillard
%define	version	3.0a
%define	release	2mdk
%define	Summary	OpenGL billard game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://foobillard.sunsite.dk/dnl/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#Patch0:	%{name}-2.7-no_nv_fresnel.patch.bz2
Patch1:		foobillard-3.0-really-disable-nvidia.patch.bz2
#Patch2:	foobillard-3.0-fix-chdir.patch.bz2
License:	GPL
Group:		Games/Sports
URL:		http://foobillard.sunsite.dk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel MesaGLU-devel Mesa-common-devel png-devel zlib-devel

%description
A free OpenGl billard game for linux.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--enable-glut \
		--enable-nvidia=off
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}
%{__install} -m644 %{name}.6 -D $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Sports" \
		title="FooBillard" \
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}

%changelog
* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0a-2mdk
- rebuild for new menu
- drop packager tag

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0a-1mdk
- 3.0a
- drop P0 (merged upstream)

* Fri Apr 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0-1mdk
- 3.0
- really disable nvidia (P1)
- fix problem with foobillard not changing to datadir before running (P2)
- add menu item with icons
- install man page
- fix buildrequires (lib64..)

* Sun Nov 09 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9-1mdk
- 2.9

* Thu Jul 03 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.8-1mdk
- 2.8
- dropped P0, merged upstream

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.7-1mdk
- 2.7
- added P1 to fix compile without nvidia stuff

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.6-2mdk
- use %%{_gamesdatadir} and %%{_gamesbindir}
- rm -rf buildroot in %%install
- cosmetics

* Wed Jun 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6-1mdk 
- from Michael Spivak <phazeman@netvision.net.il>
    - New version
- some macroization
- fix build without nvdia

* Thu Dec 19 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 2.2-1mdk
- new version

* Wed Dec  4 2002  <adesmons@mandrakesoft.com> 1.9-1mdk
- new version (better sound, exact table polygons - no more black
dots, improved menu, ball traces)

* Wed Oct 30 2002 Arnaud Desmons  <adesmons@mandrakesoft.com> 1.8-1mdk
- new version (cubemap reflections, 2 GL_LIGHTs instead of one,
now also possible to run non-installed from anywhere in the sourcetree,
bird view).

* Thu Oct 17 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.7-1mdk
- new version (bugfix, black-white theme without frame texture)

* Mon Jul 29 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.6-1mdk
- new version

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-1mdk
- new version

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- new version

* Thu Mar  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-1mdk
- first mdk package
